Name:           perl-Socket-Netlink
Version:        0.03
Release:        3%{?dist}
Summary:        Interface to Linux's PF_NETLINK socket family

# License file contains the old FSF address:
#     https://rt.cpan.org/Public/Bug/Display.html?id=70980
License:        GPL+ or Artistic

Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Socket-Netlink/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Socket-Netlink-%{version}.tar.gz

BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::CChecker)
BuildRequires:  perl(ExtUtils::H2PM) >= 0.03
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Compat)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Test::HexString)
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Sub::Name)

## Filter unneeded Provides with RPM 4.8
%{?filter_setup:
%filter_from_provides /^perl(Socket::Netlink::Generic)$/d
}
%{?perl_default_filter}
## Filter unneeded Provides with RPM 4.9
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(Socket::Netlink::Generic\\)$

# For some reason rpmbuild picks this one up as a 'Requires', but not as
# a 'Provides'. Adding it manually or the package fails to install
Provides:       perl(Socket::Netlink::Generic_const) == %{version}


%description
This module contains the low-level constants and structure handling
functions required to use Linux's PF_NETLINK socket family. It is suggested
to use the high-level object interface to this instead; see
IO::Socket::Netlink.


%prep
%setup -q -n Socket-Netlink-%{version}


%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Socket*
%{perl_vendorarch}/IO*
%{_mandir}/man3/*


%changelog
* Mon Sep 19 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-3
- Fixes based on Remi's review feedback.

* Fri Sep 16 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-2
- Fixed dubious Provides filtering for RPM 4.8, it was filtering out too much
  and made the package uninstallable.

* Mon Sep 12 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-1
- Specfile autogenerated by cpanspec 1.78.
- Slightly tweaked the specfile (removed buildroot lines, added missing BR)
- Added explicit Provides that rpmbuild doesn't pick up for some reason.
- Filtered out a dubious Provides.
